Edgewall Software
Modify

Opened 14 years ago

Closed 14 years ago

Last modified 11 years ago

#2103 closed defect (fixed)

new tickets can be targeted at completed milestones

Reported by: pfnguyen@… Owned by: Christopher Lenz
Priority: low Milestone: 0.9
Component: ticket system Version: devel
Severity: normal Keywords:
Cc: Branch:
Release Notes:
API Changes:

Description

I'm trying this against trunk. Given the milestones I paste below, two of the completed milestones still appear in the new ticket milestone options list. On the roadmap, the milestones properly appear as completed.

bws-0.5 and bws-0.8 are still showing up in the list.

I do not have any versions created in Trac.

[pfnguyen@swapus www]$ ./trac-admin about Trac Admin Console 0.9b1 … [pfnguyen@swapus www]$ ./trac-admin trac/Wassup milestone list

Name Due Completed


bws-0.1 2005-04-01 2005-04-01 00:00:00 bws-0.5 2005-06-02 2005-06-02 00:00:00 ### This one still shows up bws-0.7 2005-07-01 2005-07-01 00:00:00 bws-0.8 2005-08-15 2005-08-15 00:00:00 ### As does this milestone. bws-0.9 2005-09-30 bws-1.0 2005-11-15 bws-1.1 2005-12-20 bws-1.5 2006-06-01 bws-2.0 2006-12-01

[pfnguyen@swapus www]$ sqlite3 trac/Wassup/db/trac.db SQLite version 3.2.6 Enter ".help" for instructions sqlite> select name, completed from milestone; bws-0.1|1112342400 bws-0.5|1117695600 bws-0.7|1120201200 bws-0.9|0 bws-1.0| bws-1.1|0 bws-2.0| bws-1.5| bws-0.8|1124089200

Attachments (0)

Change History (7)

comment:1 by anonymous, 14 years ago

ugh, stupid formatting…

[pfnguyen@swapus www]$ ./trac-admin about
Trac Admin Console 0.9b1
...

[pfnguyen@swapus www]$ ./trac-admin trac/Wassup milestone list

Name     Due         Completed
----------------------------------------
bws-0.1  2005-04-01  2005-04-01 00:00:00
bws-0.5  2005-06-02  2005-06-02 00:00:00 ### This one shows up
bws-0.7  2005-07-01  2005-07-01 00:00:00
bws-0.8  2005-08-15  2005-08-15 00:00:00 ### as does this one.
bws-0.9  2005-09-30
bws-1.0  2005-11-15
bws-1.1  2005-12-20
bws-1.5  2006-06-01
bws-2.0  2006-12-01

[pfnguyen@swapus www]$ sqlite3 trac/Wassup/db/trac.db
SQLite version 3.2.6
Enter ".help" for instructions
sqlite> select name, completed from milestone;
bws-0.1|1112342400
bws-0.5|1117695600
bws-0.7|1120201200
bws-0.9|0
bws-1.0|
bws-1.1|0
bws-2.0|
bws-1.5|
bws-0.8|1124089200

comment:2 by pfnguyen@…, 14 years ago

Oh, and I'm using mod_python 3.1.4 + apache 2.0.54 on fc3, if that information needs to be specified as well.

comment:3 by Christopher Lenz, 14 years ago

Milestone: 0.9
Owner: changed from Jonas Borgström to Christopher Lenz
Priority: normallow
Status: newassigned

I've seen this problem myself.

comment:4 by Christopher Lenz, 14 years ago

Fixed in [2291].

comment:5 by Christopher Lenz, 14 years ago

Resolution: fixed
Status: assignedclosed

Fixed in [2291].

comment:6 by anonymous, 11 years ago

in my opinion, the bug is that milestones are no available once complete. Makes it impossible to enter a bug for a complete milestone.

comment:7 by Christian Boos, 11 years ago

Well, it's still possible for a TICKET_ADMIN of course, check TracPermissions.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Christopher Lenz.
The resolution will be deleted. Next status will be 'reopened'.
to as closed The owner will be changed from Christopher Lenz to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.